| LibDriver W25QXX 1.0.0 W25QXX full function driver

Functions
w25qxx extern driver function
w25qxx driver function

w25qxx extern driver modules More...

## Functions
uint8_t | w25qxx_write_read_reg (w25qxx_handle_t *handle, uint8_t instruction, uint8_t instruction_line, uint32_t address, uint8_t address_line, uint8_t address_len, uint32_t alternate, uint8_t alternate_line, uint8_t alternate_len, uint8_t dummy, uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len, uint8_t data_line)
| write and read register More...

## Detailed Description

w25qxx extern driver modules

## Function Documentation

## ◆ w25qxx_write_read_reg()

uint8_t w25qxx_write_read_reg | ( | w25qxx_handle_t * | handle,
|  | uint8_t | instruction,
|  | uint8_t | instruction_line,
|  | uint32_t | address,
|  | uint8_t | address_line,
|  | uint8_t | address_len,
|  | uint32_t | alternate,
|  | uint8_t | alternate_line,
|  | uint8_t | alternate_len,
|  | uint8_t | dummy,
|  | uint8_t * | in_buf,
|  | uint32_t | in_len,
|  | uint8_t * | out_buf,
|  | uint32_t | out_len,
|  | uint8_t | data_line
| ) |  |

write and read register

Parameters

  [in] | *handle | points to a w25qxx handle structure
  [in] | instruction | is the sent instruction
  [in] | instruction_line | is the instruction phy lines
  [in] | address | is the register address
  [in] | address_line | is the address phy lines
  [in] | address_len | is the address length
  [in] | alternate | is the register address
  [in] | alternate_line | is the alternate phy lines
  [in] | alternate_len | is the alternate length
  [in] | dummy | is the dummy cycle
  [in] | *in_buf | points to an input buffer
  [in] | in_len | is the input length
  [out] | *out_buf | points to an output buffer
  [in] | out_len | is the output length
  [in] | data_line | is the data phy lines

Returns
  status code
  - 0 success
  - 1 write read failed
  - 2 handle is NULL
  - 3 handle is not initialized

Note
  none

Definition at line 8535 of file driver_w25qxx.c.